#
# Conditional build:
%bcond_with	static_libs	# static library
#
Summary:	USRP client side C++ interface
Summary(pl.UTF-8):	Interfejs C++ strony klienckiej USRP
Name:		libusrp
Version:	3.4.8
Release:	1
License:	GPL v3+
Group:		Libraries
#Source0Download: https://github.com/osmocom/libusrp/tags
Source0:	https://github.com/osmocom/libusrp/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	7a3934d363785edba63111003ab172a1
URL:		http://git.osmocom.org/libusrp/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	boost-devel >= 1.37
BuildRequires:	doxygen
BuildRequires:	gcc >= 6:4.7
BuildRequires:	guile-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	libusb-devel >= 1.0
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	rpm-build >= 4.6
BuildRequires:	sdcc >= 3.2.0
BuildRequires:	swig-python >= 2
BuildRequires:	xmlto
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
USRP client side C++ interface.

%description -l pl.UTF-8
Interfejs C++ strony klienckiej USRP.

%package devel
Summary:	Header files for USRP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki USRP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	boost-devel >= 1.37
Requires:	libstdc++-devel
Requires:	libusb-devel >= 1.0

%description devel
Header files for USRP library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki USRP.

%package static
Summary:	Static USRP library
Summary(pl.UTF-8):	Statyczna biblioteka USRP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static USRP library.

%description static -l pl.UTF-8
Statyczna biblioteka USRP.

%package apidocs
Summary:	API documentation for USRP library
Summary(pl.UTF-8):	Dokumentacja API biblioteki USRP
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for USRP library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki USRP.

%prep
%setup -q

echo '%{version}' > .tarball-version

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
# swig based --enable-guile and --enable-python are broken

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libusrp.la
# swig build is broken here, packaging is useless
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/gnuradio/swig
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/usrp-

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/usrp_cal_dc_offset
%attr(755,root,root) %{_bindir}/usrper
%attr(755,root,root) %{_libdir}/libusrp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libusrp.so.1
%{_datadir}/usrp

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libusrp.so
%{_includedir}/usrp
%{_pkgconfigdir}/usrp.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libusrp.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%changelog
* Sat Jun 01 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libusrp.git;a=log;h=master

* Sat Jun 01 2024 Jakub Bogusz <qboosh@pld-linux.org> c0c4b55
- updated to 3.4.8

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> ae0215e
- unconditional noarch subpackages

* Tue Jul 07 2020 Jakub Bogusz <qboosh@pld-linux.org> c093f76
- non-parallel make

* Tue Jul 07 2020 Jakub Bogusz <qboosh@pld-linux.org> fd2c2d2
- BR: sdcc; release 2

* Tue Jul 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 07dad8f
- fix version in .pc file

* Tue Jul 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 3445cd9
- updated to 3.4.5 (note: new soname)

* Sun May 12 2019 Jakub Bogusz <qboosh@pld-linux.org> ff71589
- new

